Send message

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /public/v2/foreman-message

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • foremanMessage object Required
    Hide foremanMessage attributes Show foremanMessage attributes object
    • message string Required

      Minimum length is 0, maximum length is 1000.

    • actor string Required

      Values are USER or AGENT.

  • agentType string Required

    Values are FULL or KB.

  • subject string

    Minimum length is 0, maximum length is 255.

  • scenarioId integer(int64)
  • modelId integer(int64)
  • projectId integer(int64)
  • chatSessionId string(uuid)
  • archived boolean

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • actor string

      Values are USER or AGENT.

    • message string
    • id integer(int64)
    • timeStamp string(date-time)
    • traceId string(uuid)
POST /public/v2/foreman-message
curl \
 --request POST 'https://live.smartpmtech.com/public/v2/foreman-message' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "foremanMessage": {
    "message": "string",
    "actor": "USER"
  },
  "agentType": "FULL",
  "subject": "string",
  "scenarioId": 42,
  "modelId": 42,
  "projectId": 42,
  "chatSessionId": "string",
  "archived": true
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "foremanMessage": {
    "message": "string",
    "actor": "USER"
  },
  "agentType": "FULL",
  "subject": "string",
  "scenarioId": 42,
  "modelId": 42,
  "projectId": 42,
  "chatSessionId": "string",
  "archived": true
}
Response examples (200)
{
  "actor": "USER",
  "message": "string",
  "id": 42,
  "timeStamp": "2026-05-04T09:42:00Z",
  "traceId": "string"
}